summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log370
-rw-r--r--jenkins/notify-init.log112
-rw-r--r--jenkins/rewrite.log20
-rw-r--r--jenkins/run-build.env6
5 files changed, 302 insertions, 208 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index e221d78..b2c9189 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#176-binutils-gcc-gdb-newlib-qemu-R0
+#177-binutils-gcc-gdb-newlib-qemu-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 4b809e3..db7e56b 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,26 +1,26 @@
++ pwd
++ cat
-+ remote_exec build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
++ remote_exec build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -d: -f 1
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ host=build-02.tcwglab
+ local port
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -s -d: -f 2
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ port=
+ local dir
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
+ local opts
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -s -d: -f 4
-+ opts=-p51079
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ opts=-p51095
+ local env_vars
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -s -d: -f 5
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ env_vars=
+ shift
+ local -a cmd
@@ -52,10 +52,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p51079 build-02.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
++ ssh -p51095 build-02.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true
+ false
+ dryrun=
@@ -81,17 +81,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/175/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/175/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/177/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/177/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -145,7 +145,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x6feae66da1d652a50c1759bae46128087f7dfab0 '!=' x033bc52bb6190393c8eed80925fa78cc35b40c6d ']'
+++ '[' xe76d241a64cc02accc1717b5df9624a9dbb31598 '!=' x6feae66da1d652a50c1759bae46128087f7dfab0 ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -160,7 +160,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba '!=' x9ade70bb86c8744f4416a48bb69cf4705f00905a ']'
+++ '[' xb860e657802b96ea2f00e53b2040ef100bedbc89 '!=' x99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -175,7 +175,9 @@
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
-++ '[' x65d34484e9097fd9036dd577028423355cb5f5bc '!=' x65d34484e9097fd9036dd577028423355cb5f5bc ']'
+++ '[' x7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 '!=' x65d34484e9097fd9036dd577028423355cb5f5bc ']'
+++ echo -ne ' newlib'
+++ delim=' '
++ for c in $(print_updated_components)
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
@@ -188,7 +190,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x05fbbeacaa761976fea5580d993aa6cb7f5342a0 '!=' xeeee4389cf3725e729b0a477515afd830b34b9f0 ']'
+++ '[' x3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa '!=' x05fbbeacaa761976fea5580d993aa6cb7f5342a0 ']'
++ echo -ne ' gdb'
++ delim=' '
++ for c in $(print_updated_components)
@@ -206,14 +208,14 @@
++ '[' x0d52116fd82cdd1f4a88837336af5b6290c364a4 '!=' x0d52116fd82cdd1f4a88837336af5b6290c364a4 ']'
++ echo
# Debug traces :
-# change_kind=multiple_components : binutils gcc gdb
+# change_kind=multiple_components : binutils gcc newlib gdb
+ local c base_rev cur_rev c_commits
-+ '[' 3 = 0 ']'
-+ '[' 3 = 1 ']'
++ '[' 4 = 0 ']'
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc gdb'
++ echo '# change_kind=multiple_components : binutils gcc newlib gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -221,17 +223,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=033bc52bb6190393c8eed80925fa78cc35b40c6d
++ base_rev=6feae66da1d652a50c1759bae46128087f7dfab0
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=6feae66da1d652a50c1759bae46128087f7dfab0
-++ git -C binutils rev-list --count 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0
-# rev for binutils : 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0 (13 commits)
-+ c_commits=13
-+ echo '# rev for binutils : 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0 (13 commits)'
++ cur_rev=e76d241a64cc02accc1717b5df9624a9dbb31598
+++ git -C binutils rev-list --count 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598
+# rev for binutils : 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598 (6 commits)
++ c_commits=6
++ echo '# rev for binutils : 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598 (6 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -239,17 +241,35 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=9ade70bb86c8744f4416a48bb69cf4705f00905a
++ base_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-++ git -C gcc rev-list --count 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-# rev for gcc : 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba (27 commits)
-+ c_commits=27
-+ echo '# rev for gcc : 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba (27 commits)'
++ cur_rev=b860e657802b96ea2f00e53b2040ef100bedbc89
+++ git -C gcc rev-list --count 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89
+# rev for gcc : 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89 (29 commits)
++ c_commits=29
++ echo '# rev for gcc : 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89 (29 commits)'
++ for c in "${changed_components[@]}"
+++ get_baseline_git newlib_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
++ base_rev=65d34484e9097fd9036dd577028423355cb5f5bc
+++ get_current_git newlib_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/newlib_rev
++ cur_rev=7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+++ git -C newlib rev-list --count 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+# rev for newlib : 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 (1 commits)
++ c_commits=1
++ echo '# rev for newlib : 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 (1 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -257,18 +277,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=eeee4389cf3725e729b0a477515afd830b34b9f0
++ base_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
-++ git -C gdb rev-list --count eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0
-# rev for gdb : eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0 (14 commits)
++ cur_rev=3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+++ git -C gdb rev-list --count 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+# rev for gdb : 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa (5 commits)
-+ c_commits=14
-+ echo '# rev for gdb : eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0 (14 commits)'
++ c_commits=5
++ echo '# rev for gdb : 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa (5 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -288,8 +308,8 @@
+ case "$ci_project" in
+ print_result_f=gnu_print_result
+ generate_extra_details
-# generate_extra_details
+ set -euf -o pipefail
+# generate_extra_details
+ echo '# generate_extra_details'
+ post_interesting_commits init
# post_interesting_commits
@@ -338,16 +358,16 @@
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
-++ wait 29927
+++ wait 28530
++ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
++ true
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 29976
-++ wait 29977
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28579
+++ wait 28580
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -371,16 +391,16 @@
+ false
+ local print_arg=--oneline
+ '[' -d artifacts/sumfiles ']'
-+ wait 29992
++ wait 28595
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
+ local xfails=artifacts/sumfiles/xfails.xfail
+ '[' -f artifacts/sumfiles/xfails.xfail ']'
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
-+ wait 30041
-+ wait 30042
-+ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 28644
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 28645
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
+ local n_regressions n_progressions pass_fail=PASS
+ '[' 0 '!=' 0 ']'
++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -403,26 +423,26 @@
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/177/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/175/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/artifact/artifacts
+ cat
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
-++ wait 30067
+++ wait 28670
++ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
++ true
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 30116
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 30117
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28719
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28720
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -452,16 +472,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=033bc52bb6190393c8eed80925fa78cc35b40c6d
+++ base_rev=6feae66da1d652a50c1759bae46128087f7dfab0
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=6feae66da1d652a50c1759bae46128087f7dfab0
-+++ git -C binutils rev-list --count 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0
-++ c_commits=13
-++ new_commits=13
+++ cur_rev=e76d241a64cc02accc1717b5df9624a9dbb31598
++++ git -C binutils rev-list --count 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598
+++ c_commits=6
+++ new_commits=6
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -469,16 +489,33 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=9ade70bb86c8744f4416a48bb69cf4705f00905a
+++ base_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-+++ git -C gcc rev-list --count 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-++ c_commits=27
-++ new_commits=40
+++ cur_rev=b860e657802b96ea2f00e53b2040ef100bedbc89
++++ git -C gcc rev-list --count 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89
+++ c_commits=29
+++ new_commits=35
+++ for c in "${changed_components[@]}"
++++ get_baseline_git newlib_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/newlib_rev
+++ base_rev=65d34484e9097fd9036dd577028423355cb5f5bc
++++ get_current_git newlib_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/newlib_rev
+++ cur_rev=7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
++++ git -C newlib rev-list --count 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+++ c_commits=1
+++ new_commits=36
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -486,23 +523,23 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=eeee4389cf3725e729b0a477515afd830b34b9f0
+++ base_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
-+++ git -C gdb rev-list --count eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0
-++ c_commits=14
-++ new_commits=54
-+++ echo binutils gcc gdb
+++ cur_rev=3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
++++ git -C gdb rev-list --count 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+++ c_commits=5
+++ new_commits=41
++++ echo binutils gcc newlib gdb
+++ tr ' ' ,
-++ components=binutils,gcc,gdb
-++ echo '54 commits in binutils,gcc,gdb'
+++ components=binutils,gcc,newlib,gdb
+++ echo '41 commits in binutils,gcc,newlib,gdb'
+++ sed -e 's/^/ | /'
++ print_commits --short
++ false
-++ sed -e 's/^/ | /'
++ local print_arg=--short
++ local components new_commits more_lines
++ case "$change_kind:$print_arg" in
@@ -514,26 +551,26 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=033bc52bb6190393c8eed80925fa78cc35b40c6d
+++ base_rev=6feae66da1d652a50c1759bae46128087f7dfab0
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=6feae66da1d652a50c1759bae46128087f7dfab0
-+++ git -C binutils rev-list --count 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0
-++ c_commits=13
-++ new_commits=13
+++ cur_rev=e76d241a64cc02accc1717b5df9624a9dbb31598
++++ git -C binutils rev-list --count 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598
+++ c_commits=6
+++ new_commits=6
++ echo 'binutils commits:'
-+++ git -C binutils log --pretty=oneline 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0
++++ git -C binutils log --pretty=oneline 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598
+++ head -n5
-++ echo '6feae66da1d652a50c1759bae46128087f7dfab0 [gdb/build, c++20] Handle deprecated std::allocator::construct
-9246b7bd6dfeb273f9be7648acffddfe19f966ff [gdb/build] Return const reference in target_read_auxv
-2b9ed6db3fb08feab70857dc7eb94fbe6a45e069 [gdb/build, c++20] Fix invalid conversion in test_symbols
-5bd5fecdd25eda1335796df8d77511f62bbd1898 [gdb/build, c++20] Fix deprecated implicit capture of this
-63b87362a5800890ccc5ca8494a9e0443472ef99 [gdb/build, c++20] Fix DISABLE_COPY_AND_ASSIGN use in ui_out_emit_type'
-++ '[' 13 -gt 5 ']'
-++ echo '... and 8 more'
+++ echo 'e76d241a64cc02accc1717b5df9624a9dbb31598 C++-ify minidebug.c
+1f572864da9682a7d423477b1795b7dacc1f11da gprofng: Use execvp instead of execv
+b080fe54fb3414b488b8ef323c6c50def061f918 gdb: add inferior-specific breakpoints
+0c9546b152f6b01756475ce259c895d3fa446774 [gdb/build] Fix yysymbol_kind_t odr violation
+05fbbeacaa761976fea5580d993aa6cb7f5342a0 generated bfd files, and kvx regen'
+++ '[' 6 -gt 5 ']'
+++ echo '... and 1 more'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -541,27 +578,48 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=9ade70bb86c8744f4416a48bb69cf4705f00905a
+++ base_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-+++ git -C gcc rev-list --count 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-++ c_commits=27
-++ new_commits=40
+++ cur_rev=b860e657802b96ea2f00e53b2040ef100bedbc89
++++ git -C gcc rev-list --count 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89
+++ c_commits=29
+++ new_commits=35
++ echo 'gcc commits:'
-+++ git -C gcc log --pretty=oneline 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
+++ head -n5
-+++ true
-++ echo '99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba Handle TYPE_OVERFLOW_UNDEFINED vectorized BB reductions
-17d670dbca16d8ccb502c5d82c67981b1ba937af testsuite: Remove unused dg-line in ce8cdf5bcf96a2db6d7b9f656fc9ba58d7942a83
-93f803d53b5ccaabded9d7b4512b54da81c1c616 fixincludes: Update darwin_flt_eval_method for macOS 14
-0beac9209f0ae230b34ad31e76e7b0b633a5fb21 build: Allow for Xcode 15 ld -v output
-51d702f3baf73aa4016b9798045d13318074ca1e libstdc++: Disable PCH for tests that rely on include order'
-++ '[' 27 -gt 5 ']'
-++ echo '... and 22 more'
++++ git -C gcc log --pretty=oneline 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89
+++ echo 'b860e657802b96ea2f00e53b2040ef100bedbc89 Revert "libstdc++: Reuse double overload of __convert_to_v if possible"
+d82a85b6161cbeebfe3de5d3d4cdd355e4617e69 libstdc++: Replace global std::string objects in tzdb.cc
+aad83d61d2e92b168688f7b6bd00b8604d11fc9f libstdc++: Reuse double overload of __convert_to_v if possible
+74c019b50b7724dd5ed7af640b6c0427383d48df libstdc++: Micro-optimize construction of named std::locale
+cc3d7baf2741777e99567d4301802c99f5775619 libstdc++: Optimize std::string::assign(Iter, Iter) [PR110945]'
+++ '[' 29 -gt 5 ']'
+++ echo '... and 24 more'
+++ for c in "${changed_components[@]}"
++++ get_baseline_git newlib_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/newlib_rev
+++ base_rev=65d34484e9097fd9036dd577028423355cb5f5bc
++++ get_current_git newlib_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/newlib_rev
+++ cur_rev=7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
++++ git -C newlib rev-list --count 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+++ c_commits=1
+++ new_commits=36
+++ echo 'newlib commits:'
++++ git -C newlib log --pretty=oneline 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
++++ head -n5
+++ echo '7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 newlib: add Xtensa port'
+++ '[' 1 -gt 5 ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -569,40 +627,39 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=eeee4389cf3725e729b0a477515afd830b34b9f0
+++ base_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
-+++ git -C gdb rev-list --count eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0
-++ c_commits=14
-++ new_commits=54
+++ cur_rev=3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
++++ git -C gdb rev-list --count 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+++ c_commits=5
+++ new_commits=41
++ echo 'gdb commits:'
-+++ git -C gdb log --pretty=oneline eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0
+++ head -n5
-++ echo '05fbbeacaa761976fea5580d993aa6cb7f5342a0 generated bfd files, and kvx regen
-880802688cf7322c50994716456d05499e8c0d4d Re: sim frv: Add a missing return value for frvbf_check_acc_range.
-6feae66da1d652a50c1759bae46128087f7dfab0 [gdb/build, c++20] Handle deprecated std::allocator::construct
-9246b7bd6dfeb273f9be7648acffddfe19f966ff [gdb/build] Return const reference in target_read_auxv
-2b9ed6db3fb08feab70857dc7eb94fbe6a45e069 [gdb/build, c++20] Fix invalid conversion in test_symbols'
-++ '[' 14 -gt 5 ']'
-++ echo '... and 9 more'
++++ git -C gdb log --pretty=oneline 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+++ echo '3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa Automatic date update in version.in
+e76d241a64cc02accc1717b5df9624a9dbb31598 C++-ify minidebug.c
+1f572864da9682a7d423477b1795b7dacc1f11da gprofng: Use execvp instead of execv
+b080fe54fb3414b488b8ef323c6c50def061f918 gdb: add inferior-specific breakpoints
+0c9546b152f6b01756475ce259c895d3fa446774 [gdb/build] Fix yysymbol_kind_t odr violation'
+++ '[' 5 -gt 5 ']'
++ gnu_print_result --short
++ false
++ local print_arg=--short
++ '[' -d artifacts/sumfiles ']'
-++ wait 30201
+++ wait 28827
++ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
++ true
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 30250
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 30251
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28876
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28877
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -636,16 +693,16 @@
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
-++ wait 30260
+++ wait 28886
++ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
++ true
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 30309
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 30310
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230817 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28935
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 28936
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20230818 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -675,16 +732,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=033bc52bb6190393c8eed80925fa78cc35b40c6d
+++ base_rev=6feae66da1d652a50c1759bae46128087f7dfab0
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=6feae66da1d652a50c1759bae46128087f7dfab0
-+++ git -C binutils rev-list --count 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0
-++ c_commits=13
-++ new_commits=13
+++ cur_rev=e76d241a64cc02accc1717b5df9624a9dbb31598
++++ git -C binutils rev-list --count 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598
+++ c_commits=6
+++ new_commits=6
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -692,16 +749,33 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=9ade70bb86c8744f4416a48bb69cf4705f00905a
+++ base_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-+++ git -C gcc rev-list --count 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-++ c_commits=27
-++ new_commits=40
+++ cur_rev=b860e657802b96ea2f00e53b2040ef100bedbc89
++++ git -C gcc rev-list --count 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89
+++ c_commits=29
+++ new_commits=35
+++ for c in "${changed_components[@]}"
++++ get_baseline_git newlib_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/newlib_rev
+++ base_rev=65d34484e9097fd9036dd577028423355cb5f5bc
++++ get_current_git newlib_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/newlib_rev
+++ cur_rev=7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
++++ git -C newlib rev-list --count 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+++ c_commits=1
+++ new_commits=36
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -709,17 +783,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=eeee4389cf3725e729b0a477515afd830b34b9f0
+++ base_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
-+++ git -C gdb rev-list --count eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0
-++ c_commits=14
-++ new_commits=54
-+++ echo binutils gcc gdb
+++ cur_rev=3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
++++ git -C gdb rev-list --count 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+++ c_commits=5
+++ new_commits=41
++++ tr ' ' ,
++++ echo binutils gcc newlib gdb
+++ components=binutils,gcc,newlib,gdb
+++ echo '41 commits in binutils,gcc,newlib,gdb'
# generate dashboard
# generate_dashboard_squad
... Skipping
@@ -727,10 +804,7 @@
... Skipping
# post_to_jira
Full stage ran successfully.
-+++ tr ' ' ,
-++ components=binutils,gcc,gdb
-++ echo '54 commits in binutils,gcc,gdb'
-+ echo '[Linaro-TCWG-CI] PASS after commit: 54 commits in binutils,gcc,gdb'
++ echo '[Linaro-TCWG-CI] PASS after commit: 41 commits in binutils,gcc,newlib,gdb'
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 39bdf9f..6b9c0e3 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
++ remote_exec build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true
+ set -euf -o pipefail
+ local host
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -d: -f 1
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ host=build-02.tcwglab
+ local port
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
+ local opts
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 4
-+ opts=-p51079
++ opts=-p51095
+ local env_vars
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -52,11 +52,12 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q true
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p51079 build-02.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
++ ssh -p51095 build-02.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true'
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
+/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true
+# setup_notify_environment
+ false
+ dryrun=
+ declare top_artifacts ci_project ci_config
@@ -64,7 +65,6 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
@@ -72,26 +72,26 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
++ set +x
+ ci_project=tcwg_gnu_embed_check_binutils
-# Debug traces :
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/175/
-# Using dir : base-artifacts
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-arm_eabi
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/175/'
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/
+# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/177/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/176/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_embed_check_binutils--master-arm_eabi-build/177/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -145,7 +145,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x6feae66da1d652a50c1759bae46128087f7dfab0 '!=' x033bc52bb6190393c8eed80925fa78cc35b40c6d ']'
+++ '[' xe76d241a64cc02accc1717b5df9624a9dbb31598 '!=' x6feae66da1d652a50c1759bae46128087f7dfab0 ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -160,7 +160,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba '!=' x9ade70bb86c8744f4416a48bb69cf4705f00905a ']'
+++ '[' xb860e657802b96ea2f00e53b2040ef100bedbc89 '!=' x99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -175,7 +175,9 @@
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
-++ '[' x65d34484e9097fd9036dd577028423355cb5f5bc '!=' x65d34484e9097fd9036dd577028423355cb5f5bc ']'
+++ '[' x7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 '!=' x65d34484e9097fd9036dd577028423355cb5f5bc ']'
+++ echo -ne ' newlib'
+++ delim=' '
++ for c in $(print_updated_components)
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
@@ -188,7 +190,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x05fbbeacaa761976fea5580d993aa6cb7f5342a0 '!=' xeeee4389cf3725e729b0a477515afd830b34b9f0 ']'
+++ '[' x3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa '!=' x05fbbeacaa761976fea5580d993aa6cb7f5342a0 ']'
++ echo -ne ' gdb'
++ delim=' '
++ for c in $(print_updated_components)
@@ -203,17 +205,17 @@
+++ assert_with_msg 'ERROR: No qemu_rev in baseline git' '[' -f base-artifacts/git/qemu_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/qemu_rev
-# Debug traces :
-# change_kind=multiple_components : binutils gcc gdb
++ '[' x0d52116fd82cdd1f4a88837336af5b6290c364a4 '!=' x0d52116fd82cdd1f4a88837336af5b6290c364a4 ']'
++ echo
+# Debug traces :
+# change_kind=multiple_components : binutils gcc newlib gdb
+ local c base_rev cur_rev c_commits
-+ '[' 3 = 0 ']'
-+ '[' 3 = 1 ']'
++ '[' 4 = 0 ']'
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc gdb'
++ echo '# change_kind=multiple_components : binutils gcc newlib gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -221,17 +223,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=033bc52bb6190393c8eed80925fa78cc35b40c6d
++ base_rev=6feae66da1d652a50c1759bae46128087f7dfab0
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=6feae66da1d652a50c1759bae46128087f7dfab0
-++ git -C binutils rev-list --count 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0
-# rev for binutils : 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0 (13 commits)
-+ c_commits=13
-+ echo '# rev for binutils : 033bc52bb6190393c8eed80925fa78cc35b40c6d..6feae66da1d652a50c1759bae46128087f7dfab0 (13 commits)'
++ cur_rev=e76d241a64cc02accc1717b5df9624a9dbb31598
+++ git -C binutils rev-list --count 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598
+# rev for binutils : 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598 (6 commits)
++ c_commits=6
++ echo '# rev for binutils : 6feae66da1d652a50c1759bae46128087f7dfab0..e76d241a64cc02accc1717b5df9624a9dbb31598 (6 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -239,17 +241,35 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=9ade70bb86c8744f4416a48bb69cf4705f00905a
++ base_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-++ git -C gcc rev-list --count 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba
-# rev for gcc : 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba (27 commits)
-+ c_commits=27
-+ echo '# rev for gcc : 9ade70bb86c8744f4416a48bb69cf4705f00905a..99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba (27 commits)'
++ cur_rev=b860e657802b96ea2f00e53b2040ef100bedbc89
+++ git -C gcc rev-list --count 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89
+# rev for gcc : 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89 (29 commits)
++ c_commits=29
++ echo '# rev for gcc : 99b5921bfc8f9122fb7ccb0a4284179fd3a2f2ba..b860e657802b96ea2f00e53b2040ef100bedbc89 (29 commits)'
++ for c in "${changed_components[@]}"
+++ get_baseline_git newlib_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No newlib_rev in baseline git' '[' -f base-artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/newlib_rev
++ base_rev=65d34484e9097fd9036dd577028423355cb5f5bc
+++ get_current_git newlib_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No newlib_rev in current git' '[' -f artifacts/git/newlib_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/newlib_rev
++ cur_rev=7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+++ git -C newlib rev-list --count 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56
+# rev for newlib : 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 (1 commits)
++ c_commits=1
++ echo '# rev for newlib : 65d34484e9097fd9036dd577028423355cb5f5bc..7ba103eb1a95703c7803e4ca48e6ba5c8e1f3d56 (1 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -257,18 +277,19 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=eeee4389cf3725e729b0a477515afd830b34b9f0
++ base_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=05fbbeacaa761976fea5580d993aa6cb7f5342a0
-++ git -C gdb rev-list --count eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0
-# rev for gdb : eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0 (14 commits)
++ cur_rev=3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+++ git -C gdb rev-list --count 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa
+# rev for gdb : 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa (5 commits)
-+ c_commits=14
-+ echo '# rev for gdb : eeee4389cf3725e729b0a477515afd830b34b9f0..05fbbeacaa761976fea5580d993aa6cb7f5342a0 (14 commits)'
+# generate_extra_details
++ c_commits=5
++ echo '# rev for gdb : 05fbbeacaa761976fea5580d993aa6cb7f5342a0..3b5f2477bcaca29d32734fdc3848bfc20a1e8dfa (5 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -288,7 +309,6 @@
+ case "$ci_project" in
+ print_result_f=gnu_print_result
+ generate_extra_details
-# generate_extra_details
+ set -euf -o pipefail
+ echo '# generate_extra_details'
+ post_interesting_commits init
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index 8c1a399..e85ecff 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,26 +1,26 @@
++ pwd
++ cat
-+ remote_exec build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -d: -f 1
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ host=build-02.tcwglab
+ local port
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -s -d: -f 2
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ port=
+ local dir
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_1
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
+ local opts
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
++ cut -s -d: -f 4
-+ opts=-p51079
++ opts=-p51095
+ local env_vars
-++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_1:-p51079:
++ cut -s -d: -f 5
+++ echo build-02.tcwglab::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p51095:
+ env_vars=
+ shift
+ local -a cmd
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_1
-+ ssh -p51079 build-02.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_1 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
++ ssh -p51095 build-02.tcwglab 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index bda9d43..99fa5f6 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,9 +1,9 @@
-build_name="#176"
+build_name="#177"
docker_opts=(--distro
default )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#176-binutils-gcc-gdb-newlib-qemu"
+build_name="#177-binutils-gcc-gdb-newlib-qemu"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master
==rr\[gcc_git\]
@@ -14,4 +14,4 @@ git://sourceware.org/git/binutils-gdb.git#master
git://sourceware.org/git/newlib-cygwin.git#master
==rr\[qemu_git\]
https://gitlab.com/qemu-project/qemu.git#master )
-build_name="#176-binutils-gcc-gdb-newlib-qemu-R0"
+build_name="#177-binutils-gcc-gdb-newlib-qemu-R0"